net.dontdrinkandroot.wicket.resource

## Class AbstractFileThumbnailResource

- java.lang.Object
- - org.apache.wicket.request.resource.AbstractResource
  - - net.dontdrinkandroot.wicket.resource.AbstractFileThumbnailResource

All Implemented Interfaces:
  Serializable, org.apache.wicket.request.resource.IResource, org.apache.wicket.util.io.IClusterable

Direct Known Subclasses:
  FileThumbnailResource

    public abstract class AbstractFileThumbnailResource
    extends org.apache.wicket.request.resource.AbstractResource

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.wicket.request.resource.AbstractResource

`org.apache.wicket.request.resource.AbstractResource.ResourceResponse, org.apache.wicket.request.resource.AbstractResource.WriteCallback`

### Nested classes/interfaces inherited from interface org.apache.wicket.request.resource.IResource

`org.apache.wicket.request.resource.IResource.Attributes`

### Field Summary

### Fields inherited from class org.apache.wicket.request.resource.AbstractResource

`INTERNAL_HEADERS`

### Constructor Summary

Constructors
Constructor and Description
`AbstractFileThumbnailResource()`

### Method Summary

Methods
`protected org.apache.wicket.util.time.Duration` `getCacheDuration()`
`protected org.apache.wicket.request.resource.AbstractResource.ResourceResponse` `newResourceResponse(org.apache.wicket.request.resource.IResource.Attributes attributes)`
`protected abstract File` `resolveFile(org.apache.wicket.request.resource.IResource.Attributes attributes)`
`protected abstract Integer` `resolveWidth(org.apache.wicket.request.resource.IResource.Attributes attributes)`

### Methods inherited from class org.apache.wicket.request.resource.AbstractResource

`configureCache, flushResponseAfterHeaders, getCachingStrategy, respond, setResponseHeaders`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractFileThumbnailResource

    public AbstractFileThumbnailResource()

### Method Detail

#### newResourceResponse

    protected org.apache.wicket.request.resource.AbstractResource.ResourceResponse newResourceResponse(org.apache.wicket.request.resource.IResource.Attributes attributes)

Specified by:
  `newResourceResponse` in class `org.apache.wicket.request.resource.AbstractResource`

#### getCacheDuration

    protected org.apache.wicket.util.time.Duration getCacheDuration()

#### resolveWidth

    protected abstract Integer resolveWidth(org.apache.wicket.request.resource.IResource.Attributes attributes)

#### resolveFile

    protected abstract File resolveFile(org.apache.wicket.request.resource.IResource.Attributes attributes)